import dynamix_sdk.base as _base


class CloudapiRgRestoreResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiRgRestoreProtocol(_base.BasePostAPIFunctionProtocol):
    def restore(
        self,
        *,
        rg_id: int,
    ) -> CloudapiRgRestoreResultBool:
        ...
